Turn on the validation XSD 1.1 in Intellij IDEA

Is any way how to turn on the validation of XSD version 1.1 in Intellij IDEA instead of default 1.0? As I know to be able to validate against version 1.1 the processor should just take -xsdversion:1.1, but I don't see any configuration point in IDE how I can set it.

5 comments
Comment actions Permalink

Try to configure it via Settings -> Schemas and DTDs. BTW where did you download it?

0
Comment actions Permalink

Hi Dmitry,
  XSD 1.0 and XSD 1.1 is the same, the issue in the xsd processor. So your solution will not help as everything what need to be donwloaded already there. The question is how to use another xsd processor, and if it is works in Intellij IDEA or it is just impossible.

Regards,
Bogdan

0
Comment actions Permalink

It seems you are talking about Saxon, but we use Xerces for validation. Currently there is no way to configure xsd version in IDEA, but it is potentially possible. Feel free to submit a ticket for such a feature.

0
Comment actions Permalink

hello, was anyone ever able to get XSD 1.1 validation working in IntelliJ IDEA 15?

0
Comment actions Permalink

If there is a ticket for this feature already, could you give the link here?

BTW, I've tried swapping xercesImpl.jar in the IDEA's lib folder with no success.

0

Please sign in to leave a comment.